'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var reactNative = require('react-native');
var primitivesCore = require('@emotion/primitives-core');

/**
 * a function that returns a styled component which render styles in React Native
 */

var styled = primitivesCore.createStyled(reactNative.StyleSheet);

var css = primitivesCore.createCss(reactNative.StyleSheet);
var components = ['ActivityIndicator', 'ActivityIndicatorIOS', 'ART', 'Button', 'DatePickerIOS', 'DrawerLayoutAndroid', 'Image', 'ImageBackground', 'ImageEditor', 'ImageStore', 'KeyboardAvoidingView', 'ListView', 'MapView', 'Modal', 'NavigatorIOS', 'Picker', 'PickerIOS', 'ProgressBarAndroid', 'ProgressViewIOS', 'ScrollView', 'SegmentedControlIOS', 'Slider', 'SliderIOS', 'SnapshotViewIOS', 'Switch', 'RecyclerViewBackedScrollView', 'RefreshControl', 'SafeAreaView', 'StatusBar', 'SwipeableListView', 'SwitchAndroid', 'SwitchIOS', 'TabBarIOS', 'Text', 'TextInput', 'ToastAndroid', 'ToolbarAndroid', 'Touchable', 'TouchableHighlight', 'TouchableNativeFeedback', 'TouchableOpacity', 'TouchableWithoutFeedback', 'View', 'ViewPagerAndroid', 'WebView', 'FlatList', 'SectionList', 'VirtualizedList'];
var index = components.reduce(function (acc, comp) {
  return Object.defineProperty(acc, comp, {
    enumerable: true,
    configurable: false,
    get: function get() {
      return styled(reactNative[comp]);
    }
  });
}, styled);

exports.css = css;
exports.default = index;
